unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, QuickRpt, Vcl.ExtCtrls, VCLTee.TeEngine, VCLTee.TeeProcs,
  VCLTee.Chart, VCLTee.DBChart, QrTee, VCLTee.Series, VCLTee.TeeTools;

type
  TForm1 = class(TForm)
    QuickRep1: TQuickRep;
    DetailBand1: TQRBand;
    QRChart1: TQRChart;
    QRDBChart11: TQRDBChart;
    QRChart2: TQRChart;
    QRDBChart1: TQRDBChart;
    procedure QuickRep1BeforePrint(Sender: TCustomQuickRep; var PrintReport: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
   Unit2;

{$R *.dfm}

procedure TForm1.QuickRep1BeforePrint(Sender: TCustomQuickRep; var PrintReport: Boolean);
begin
   QRChart1.Width := DetailBand1.Width;
   QRChart1.Height := Form2.chtImpedance.Height;
   QRChart1.SetChart(Form2.chtImpedance);
   TBarSeries(QRChart1.Chart[0]).AutoBarSize := True;
   QRChart1.Chart.Color := clWhite;
   QRChart1.Chart.BottomAxis.Automatic := True;
   QRChart1.Chart.MaxPointsPerPage := 25;
   QRChart1.Chart.ScaleLastPage := False;

   QRChart2.Width := DetailBand1.Width;
   QRChart2.Height := Form2.chtImpRef.Height;
   QRChart2.SetChart(Form2.chtImpRef);
   TBarSeries(QRChart2.Chart[0]).AutoBarSize := True;
   QRChart2.Chart.Color := clWhite;
   QRChart2.Chart.BottomAxis.Automatic := True;
   QRChart2.Chart.MaxPointsPerPage := 25;
   QRChart2.Chart.ScaleLastPage := False;
end;

end.
